Package org.gradle.api.initialization

## Interface IncludedBuild

- All Known Subinterfaces:
    `ConfigurableIncludedBuild`, `ConfigurableIncludedPluginBuild`

      public interface IncludedBuild

  A build that is included in the composite.
  Since:
    3.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | The name of the included build.
    `java.io.File` | `getProjectDir()` | The root directory of the included build.
    `TaskReference` | `task​(java.lang.String path)` | Produces a reference to a task in the included build.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      The name of the included build.

    - #### getProjectDir

          java.io.File getProjectDir()

      The root directory of the included build.

    - #### task

          TaskReference task​(java.lang.String path)

      Produces a reference to a task in the included build.